<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>

  <appSettings>
    <add key="ButtonSourceEnabled" value="false"/>
    <add key="NightscoutEndpoint" value="" />
    <add key="NightscoutCredentials" value="" />
  </appSettings>

  <log4net>
    <appender name="RootRollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="NightScout.log" />
      <param name="AppendToFile" value="true" />
      <param name="MaxSizeRollBackups" value="62" />
      <param name="RollingStyle" value="Date" />
      <datePattern value="yyyy-MM-dd" />
      <param name="StaticLogFileName" value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="Header" value="*****************************************************&#xD;&#xA;* NightScout Alerter&#xD;&#xA;* &#xD;&#xA;* started...&#xD;&#xA;" />
        <param name="Footer" value="...End of server logging.&#xD;&#xA;" />
        <param name="ConversionPattern" value="%d [%t] %-5p %-30.37c{2} - %m%n" />
      </layout>
    </appender>
    <root>
      <level value="DEBUG" />
      <appender-ref ref="RootRollingLogFileAppender" />
    </root>
  </log4net>

  <runtime>

    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">

      <dependentAssembly>

        <assemblyIdentity name="WebSocket4Net" publicKeyToken="eb4e154b696bf72a" culture="neutral" />

        <bindingRedirect oldVersion="0.0.0.0-0.15.2.11" newVersion="0.15.2.11" />

      </dependentAssembly>

      <dependentAssembly>

        <assemblyIdentity name="SuperSocket.ClientEngine" publicKeyToken="ee9af13f57f00acc" culture="neutral" />

        <bindingRedirect oldVersion="0.0.0.0-0.10.0.0" newVersion="0.10.0.0" />

      </dependentAssembly>

      <dependentAssembly>

        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />

        <bindingRedirect oldVersion="0.0.0.0-11.0.0.0" newVersion="11.0.0.0" />

      </dependentAssembly>

    </assemblyBinding>

  </runtime>
</configuration>
